public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Benda XU" <heroxbd@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/hdf5/
Date: Sun,  8 Mar 2020 06:49:19 +0000 (UTC)	[thread overview]
Message-ID: <1583650148.27d655b364e26cfb971d655a691f0ffaef96e8f8.heroxbd@gentoo> (raw)

commit:     27d655b364e26cfb971d655a691f0ffaef96e8f8
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Mon Mar  2 07:50:25 2020 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Sun Mar  8 06:49:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27d655b3

sci-libs/hdf5: add unsupported useflag

  this will allow unsupported combinations of useflags such as MPI +
  CXX.

  link mpi when using mpi.

Closes: https://bugs.gentoo.org/710986
Closes: https://github.com/gentoo/gentoo/pull/14821
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>

 sci-libs/hdf5/hdf5-1.10.5-r1.ebuild | 106 ++++++++++++++++++++++++++++++++++++
 sci-libs/hdf5/metadata.xml          |   1 +
 2 files changed, 107 insertions(+)

diff --git a/sci-libs/hdf5/hdf5-1.10.5-r1.ebuild b/sci-libs/hdf5/hdf5-1.10.5-r1.ebuild
new file mode 100644
index 00000000000..ef906aa6eef
--- /dev/null
+++ b/sci-libs/hdf5/hdf5-1.10.5-r1.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+FORTRAN_NEEDED="fortran"
+
+inherit autotools eutils fortran-2 flag-o-matic toolchain-funcs multilib prefix
+
+MY_P="${PN}-${PV/_p/-patch}"
+MAJOR_P="${PN}-$(ver_cut 1-2)"
+
+DESCRIPTION="General purpose library and file format for storing scientific data"
+HOMEPAGE="http://www.hdfgroup.org/HDF5/"
+SRC_URI="http://www.hdfgroup.org/ftp/HDF5/releases/${MAJOR_P}/${MY_P}/src/${MY_P}.tar.bz2"
+
+LICENSE="NCSA-HDF"
+SLOT="0/${PV%%_p*}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="cxx debug examples fortran +hl mpi szip threads unsupported zlib"
+
+REQUIRED_USE="
+	!unsupported? (
+			?? ( cxx mpi )
+			threads? ( !cxx !mpi !fortran !hl )
+	)"
+RDEPEND="
+	mpi? ( virtual/mpi[romio] )
+	szip? ( virtual/szip )
+	zlib? ( sys-libs/zlib:0= )
+"
+DEPEND="${RDEPEND}
+	sys-devel/libtool:2
+	>=sys-devel/autoconf-2.69
+"
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-1.8.9-static_libgfortran.patch"
+	"${FILESDIR}/${PN}-1.8.9-mpicxx.patch"
+	"${FILESDIR}/${PN}-1.8.13-no-messing-ldpath.patch"
+)
+
+pkg_setup() {
+	tc-export CXX CC AR # workaround for bug 285148
+	use fortran && fortran-2_pkg_setup
+
+	if use mpi; then
+		if has_version 'sci-libs/hdf5[-mpi]'; then
+			ewarn "Installing hdf5 with mpi enabled with a previous hdf5 with mpi disabled may fail."
+			ewarn "Try to uninstall the current hdf5 prior to enabling mpi support."
+		fi
+		export CC="mpicc"
+		use fortran && export FC="mpif90"
+		append-ldflags -lmpi
+	elif has_version 'sci-libs/hdf5[mpi]'; then
+		ewarn "Installing hdf5 with mpi disabled while having hdf5 installed with mpi enabled may fail."
+		ewarn "Try to uninstall the current hdf5 prior to disabling mpi support."
+	fi
+}
+
+src_prepare() {
+	# respect gentoo examples directory
+	sed \
+		-e "s:hdf5_examples:doc/${PF}/examples:g" \
+		-i $(find . -name Makefile.am) $(find . -name "run*.sh.in") || die
+	sed \
+		-e '/docdir/d' \
+		-i config/commence.am || die
+	if ! use examples; then
+		sed -e '/^install:/ s/install-examples//' \
+			-i Makefile.am || die #409091
+	fi
+	# enable shared libs by default for h5cc config utility
+	sed -i -e "s/SHLIB:-no/SHLIB:-yes/g" tools/src/misc/h5cc.in || die
+	hprefixify m4/libtool.m4
+
+	default
+	eautomake
+}
+
+src_configure() {
+	local myconf=(
+		--disable-static
+		--enable-deprecated-symbols
+		--enable-build-mode=$(usex debug debug production)
+		$(use_enable cxx)
+		$(use_enable debug codestack)
+		$(use_enable fortran)
+		$(use_enable hl)
+		$(use_enable mpi parallel)
+		$(use_enable threads threadsafe)
+		$(use_enable unsupported)
+		$(use_with szip szlib)
+		$(use_with threads pthread)
+		$(use_with zlib)
+	)
+	econf "${myconf[@]}"
+}
+
+src_install() {
+	default
+
+	# no static archives
+	find "${D}" -name '*.la' -delete || die
+}

diff --git a/sci-libs/hdf5/metadata.xml b/sci-libs/hdf5/metadata.xml
index 040542a30ae..2fa4f45de1b 100644
--- a/sci-libs/hdf5/metadata.xml
+++ b/sci-libs/hdf5/metadata.xml
@@ -13,5 +13,6 @@
 </longdescription>
   <use>
     <flag name="hl">Enable high level API (https://support.hdfgroup.org/HDF5/doc/HL/index.html)</flag>
+    <flag name="unsupported">Enable unsupported combinations of configuration options</flag>
   </use>
 </pkgmetadata>


             reply	other threads:[~2020-03-08  6:49 UTC|newest]

Thread overview: 107+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-08  6:49 Benda XU [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-05 12:29 [gentoo-commits] repo/gentoo:master commit in: sci-libs/hdf5/ Sam James
2024-12-01 22:36 Jakov Smolić
2024-12-01 19:02 Arthur Zamarin
2024-09-28 12:59 Michał Górny
2024-09-27  8:07 Michał Górny
2024-04-23 20:37 Sam James
2024-02-22  4:45 Ionen Wolkens
2024-02-04 20:11 Sam James
2024-02-03  6:56 Sam James
2024-02-02 15:39 Arthur Zamarin
2024-02-02 14:17 Arthur Zamarin
2024-02-02 12:38 Arthur Zamarin
2024-02-02  4:44 Sam James
2024-02-02  4:44 Sam James
2023-12-18  9:01 Arthur Zamarin
2023-12-18  8:21 Andrew Ammerlaan
2023-12-17  9:44 Sam James
2023-12-17  0:05 Sam James
2023-12-16 19:16 Arthur Zamarin
2023-12-16 16:17 Arthur Zamarin
2023-12-16 16:17 Arthur Zamarin
2023-12-16 11:58 Arthur Zamarin
2023-12-16 11:58 Arthur Zamarin
2023-08-17  7:00 Sam James
2023-07-08 10:47 Benda XU
2023-06-10  7:08 Sam James
2023-06-09 17:39 Arthur Zamarin
2023-06-09 15:27 Arthur Zamarin
2023-06-09 14:44 Arthur Zamarin
2023-06-09 14:30 Sam James
2023-06-09 14:22 Arthur Zamarin
2023-05-10 18:49 Sam James
2023-04-23 21:23 Sam James
2023-04-18  8:25 Sam James
2023-03-30 18:30 Arthur Zamarin
2023-03-04 11:03 Arthur Zamarin
2023-03-04  9:55 Arthur Zamarin
2023-03-04  8:54 Arthur Zamarin
2023-03-04  7:40 Arthur Zamarin
2023-03-04  7:37 Arthur Zamarin
2023-03-04  5:47 Arthur Zamarin
2022-12-05  9:29 WANG Xuerui
2022-08-18  4:17 Benda XU
2022-07-31 11:13 Agostino Sarubbo
2022-07-31 11:11 Agostino Sarubbo
2022-07-31 11:10 Agostino Sarubbo
2022-07-31 11:09 Agostino Sarubbo
2022-07-31 11:08 Agostino Sarubbo
2022-07-31 11:06 Agostino Sarubbo
2022-07-31  8:27 Sam James
2022-07-29  2:33 Sam James
2022-07-27  5:30 Sam James
2022-07-05 16:42 Andrew Ammerlaan
2022-06-30 21:47 Sam James
2022-06-25 23:14 Matthias Maier
2022-06-25  7:31 Matthias Maier
2022-06-14  5:54 Jakov Smolić
2022-06-13  7:13 Agostino Sarubbo
2022-06-13  7:12 Agostino Sarubbo
2022-06-13  7:11 Agostino Sarubbo
2022-06-13  7:10 Agostino Sarubbo
2022-06-13  7:09 Agostino Sarubbo
2022-06-13  7:07 Agostino Sarubbo
2022-06-09  8:01 Sam James
2022-06-09  7:59 Sam James
2022-05-31 23:44 Sam James
2022-05-03  2:30 Sam James
2022-05-03  2:28 Sam James
2022-04-26  3:48 Sam James
2021-10-12  6:52 Sam James
2021-10-04 10:09 Jakov Smolić
2021-08-15 19:51 Sam James
2021-07-21  2:22 Yixun Lan
2021-07-19 11:44 Marek Szuba
2021-03-20  2:20 Sam James
2020-11-07 17:57 Sam James
2020-08-01  9:01 Sergei Trofimovich
2020-08-01  8:53 Sergei Trofimovich
2020-07-25 13:09 Sam James
2020-07-24 15:09 Agostino Sarubbo
2020-06-27 20:45 Andreas K. Hüttel
2019-10-20 13:23 David Seifert
2019-06-08 18:15 Agostino Sarubbo
2019-06-04 10:59 Agostino Sarubbo
2019-06-04  7:53 Tobias Klausmann
2019-05-22  7:36 Sergei Trofimovich
2019-05-19 20:34 Mikle Kolyada
2019-05-19 18:02 Thomas Deutschmann
2019-05-18 19:56 Aaron Bauman
2019-03-31  3:36 Benda XU
2017-12-19  7:16 Benda XU
2017-12-11  6:06 Benda XU
2017-12-08  0:26 Benda XU
2017-12-07  4:12 Benda XU
2017-12-04  3:05 Benda XU
2017-06-20 12:53 Pacho Ramos
2017-06-20 12:12 Alexis Ballier
2016-12-06 11:53 Agostino Sarubbo
2016-12-06 11:50 Agostino Sarubbo
2016-12-05 15:49 Tobias Klausmann
2016-12-03 22:12 Kacper Kowalik
2016-09-26 15:20 Alexis Ballier
2016-09-22 20:04 Kacper Kowalik
2016-09-20 14:07 Kacper Kowalik
2016-09-19 18:51 Kacper Kowalik
2016-03-18 19:18 Sebastien Fabbro

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1583650148.27d655b364e26cfb971d655a691f0ffaef96e8f8.heroxbd@gentoo \
    --to=heroxbd@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox